## org.apache.cassandra.config
Enum Config.DiskAccessMode

    java.lang.Object
      java.lang.Enum<Config.DiskAccessMode>
          org.apache.cassandra.config.Config.DiskAccessMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Config.DiskAccessMode>

Enclosing class:
  Config

    public static enum Config.DiskAccessMode

extends java.lang.Enum<Config.DiskAccessMode>

Enum Constant Summary
`auto`
`mmap`
`mmap_index_only`
`standard`

Method Summary
`static Config.DiskAccessMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Config.DiskAccessMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### auto

    public static final Config.DiskAccessMode auto

### mmap

    public static final Config.DiskAccessMode mmap

### mmap_index_only

    public static final Config.DiskAccessMode mmap_index_only

### standard

    public static final Config.DiskAccessMode standard

Method Detail

### values

    public static Config.DiskAccessMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Config.DiskAccessMode c : Config.DiskAccessMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Config.DiskAccessMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2013 The Apache Software Foundation